"{ Package: 'stx:goodies/xtreams/support' }"

!

!Behavior methodsFor:'xtreams'!

absoluteName

        ^self name
! !
!Block methodsFor:'xtreams'!

cull: value

    ^self numArgs = 1 ifTrue: [ self value: value ] ifFalse: [ self value ]
! !
!Block methodsFor:'xtreams'!

cull: value1 cull: value2

    ^self numArgs < 2 ifTrue: [ self cull: value1 ] ifFalse: [ self value: value1 value: value2 ]
! !
!Object methodsFor:'xtreams'!

isFixedArgument

    ^false
! !
!OrderedCollection methodsFor:'xtreams'!

copyGrownToAtLeast: newSize

    self grow: newSize
! !
!SequenceableCollection methodsFor:'xtreams'!

copyGrownToAtLeast: newSize

    |newCollection|

    newCollection := self class new: newSize.
    newCollection replaceFrom: 1 to: self size with: self startingAt: 1.
    ^newCollection
! !
!SequenceableCollection methodsFor:'xtreams'!

recycle

    Xtreams::RecyclingCenter recycle: self
! !
!Symbol methodsFor:'xtreams'!

cull: anObject

    ^anObject perform: self
! !
!UnixOperatingSystem::FileDescriptorHandle methodsFor:'xtreams'!

fileSize

    | error size |
%{
    struct stat buf;

    if (__isSmallInteger(__INST(fd))) {
        if (fstat(__smallIntegerVal(__INST(fd)), &buf) >= 0) {
           if (sizeof(buf.st_size) == 8) {
              size = __MKINT64(&buf.st_size);
           } else {
               size = __MKINT(buf.st_size);
           };
        } else {
           error = __mkSmallInteger(errno);
        };
    }
%}.
    ^size notNil
        ifTrue: [ size ]
        ifFalse: [ self error: error ]

"
    | h |
    h := OperatingSystem openFileForRead: '/etc/hosts'.
    [ h fileSize ] ensure: [ h close ]
"
! !
!SequenceableCollection class methodsFor:'xtreams'!

newRecycled: size

    ^Xtreams::RecyclingCenter new: size class: self
! !
!stx_goodies_xtreams_support class methodsFor:'documentation'!

extensionsVersion_SVN
    ^ '$Id$'
! !
